declare_plugin("D553 NAVE DORIA",
{
dirName		 = current_mod_path,
dirName		  = current_mod_path,
displayName   = _("D553 Andrea Doria"),
shortName	  =   "Nave Doria",
version		  =   __DCS_VERSION__,
state		  =   "installed",
developerName =   "PVI",
info		  =    localized
})
----------------------------------------------------------------------------------------
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")
mount_vfs_model_path    (current_mod_path ..  "/Shapes")
mount_vfs_texture_path	(current_mod_path ..  "/Textures")
----------------------------------------------------------------------------------------

local function ship_file(f)
	if dofile(f) then
		error("can't load file "..f)
		return
	end
	if(GT) then
		GT.shape_table_data = 
		{
			{
				file  	    = GT.visual.shape;
				username    = GT.Name;
				desrt       = GT.visual.shape_dstr;
			    classname 	= "lLandShip";
				positioning = "BYNORMAL";
			},
			{
				name  = GT.visual.shape_dstr;
				file  = GT.visual.shape_dstr;
			},
		}
		add_surface_unit(GT)
		GT = nil;
	else
		error("GT empty in file "..f)
	end;
end

ship_file(current_mod_path.."/DORIA.lua")

plugin_done()
